function onBegin()
	
	disableMovement()
	disableRetry()
	setFlag("blackout",true)
	run(64)
	wait(2)
	teleport(112,160,"intro02")
	setFlag("blackout",false)	
	

end

function onEnd()

	enableMovement()
	enableRetry()

end